<ui:composition xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <s:decorate template="/layout/form/_form_page.xhtml">
            <h2>#{messages['net.ihe.gazelle.atna.ImportP12']}</h2>
            <h:form id="importForm">
                <!--<s:token id="importToken" allowMultiplePost="true"/>-->
                <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                    <ui:define name="panel_title">#{messages['net.ihe.gazelle.atna.UploadAPKCS12Certificate']}
                    </ui:define>

                    <div class="form-horizontal">

                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:param name="id" value="p12Input"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.P12File']}</ui:define>

                            <rich:fileUpload id="p12Input"
                                             fileUploadListener="#{importManager.uploadListener}"
                                             maxFilesQuantity="1"
                                             acceptedTypes="p12" listHeight="60px"
                                             immediateUpload="true"/>
                        </s:decorate>

                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:param name="id" value="passInput"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.P12Password']}</ui:define>
                            <h:inputSecret id="passInput" value="#{importManager.password}" styleClass="form-control"/>
                        </s:decorate>

                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:param name="id" value="pkPassInput"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.PrivateKeyPassword']}</ui:define>
                            <h:inputSecret id="pkPassInput" value="#{importManager.pkpassword}" styleClass="form-control"/>
                        </s:decorate>

                    </div>

                    <ui:define name="panel_footer">
                        <em class="pull-right">* #{messages['net.ihe.gazelle.atna.Required']}</em>
                        <h:commandButton action="#{importManager.importP12()}"
                                         styleClass="gzl-btn-blue"
                                         value="#{messages['net.ihe.gazelle.atna.Import']}"/>
                    </ui:define>
                </ui:decorate>
            </h:form>
        </s:decorate>
    </ui:define>
</ui:composition>
